.mainloading {
  height: 100%;
  width: 100%;
  position: fixed;
  top: 0;
  z-index: 99;
  background: var(--upload-background);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.loading-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: max(1rem, 1dvw);
  font-family: sans-serif;
}

.loading-spinner {
  width: max(5rem, 5dvw); /* Adjust based on your SVG size */
  height: max(5rem, 5dvw);
}

.loading-text {
  font-size: max(1.2rem, 1.2dvw);
  color: var(--header-text-color, #101820);
  margin: 0;
  font-weight: 500;
}
